KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# MarbleRenderPlugin Class Reference

`from PyKDE4.marble import *`

Inherits: QObject,Marble.MarbleRenderPluginInterface
Subclasses: Marble.MarbleAbstractFloatItem
Namespace: Marble

## Detailed Description

The abstract class that creates an "empty" float item.

## Signals
| valueChanged (QString nameId, bool visible)
## Methods
| __init__ (self)
| __init__ (self, Marble.MarbleRenderPlugin a0)
QAction | action (self)
| applyItemState (self)
Marble.MarbleDataFacade | dataFacade (self)
bool | enabled (self)
QStandardItem | item (self)
| retrieveItemState (self)
| setDataFacade (self, Marble.MarbleDataFacade a0)
| setEnabled (self, bool enabled)
| setVisible (self, bool visible)
| valueChanged (self, QString nameId, bool visible)
bool | visible (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.MarbleRenderPlugin | a0
| ) |  |  |

QAction action | ( |  | self ) |

applyItemState | ( |  | self ) |

Marble.MarbleDataFacade dataFacade | ( |  | self ) |

bool enabled | ( |  | self ) |

QStandardItem item | ( |  | self ) |

retrieveItemState | ( |  | self ) |

setDataFacade | ( | self, |
|  | Marble.MarbleDataFacade | a0
| ) |  |  |

setEnabled | ( | self, |
|  | bool | enabled
| ) |  |  |

setVisible | ( | self, |
|  | bool | visible
| ) |  |  |

valueChanged | ( | self, |
|  | QString | nameId,
|  | bool | visible
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("valueChanged(QString, bool)"), target_slot)`

bool visible | ( |  | self ) |